/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package de.bsvrz.dua.bastband.bastband.dvs.funclib;

/**
 * Projektbeschreibung:
 * @title
 * @version 1.0
 * @copyright Copyright (c) 2004
 */

/**
 * wird von einigen Klassen geworfen, wenn beim Laden von SystemObjekten,
 * festgestellt wird, dass diese Referenzen auf Daten falschen Typs haben oder
 * ObjectReferenzen nicht gesetzt sind.
 */
public class DataModellMismatchException extends java.lang.Exception {

	private String _PID;

	public DataModellMismatchException(final String message) {
		super(message);
	}

	public DataModellMismatchException(final String message, final String pid) {
		super(message);
		_PID = pid;
	}

	/**
	 * die PID, des Objektes, das Referenzen auf falsche typen besitzt, bzw.
	 * ObjectReferenzen nicht gesetzt sind.
	 *
	 * @return String
	 */
	public String getPID() {
		return _PID;
	}

}
